PreFilter-constructor {xps} | R Documentation

## Constructor for Class PreFilter

### Description

Constructor for class PreFilter allows to apply different filters to class `ExprTreeSet`, i.e. to the expression level data.frame `data`.

### Usage

    PreFilter(mad         = character(),
              cv          = character(),
              variance    = character(),
              difference  = character(),
              ratio       = character(),
              gap         = character(),
              lothreshold = character(),
              hithreshold = character(),
              quantile    = character(),
              prescall    = character())

### Arguments

`mad` | `"character"` vector describing parameters for `madFilter`.
`cv` | `"character"` vector describing parameters for `cvFilter`.
`variance` | `"character"` vector describing parameters for `varFilter`.
`difference` | `"character"` vector describing parameters for `diffFilter`.
`ratio` | `"character"` vector describing parameters for `ratioFilter`.
`gap` | `"character"` vector describing parameters for `gapFilter`.
`lothreshold` | `"character"` vector describing parameters for `lowFilter`.
`hithreshold` | `"character"` vector describing parameters for `highFilter`.
`quantile` | `"character"` vector describing parameters for `quantileFilter`.
`prescall` | `"character"` vector describing parameters for `callFilter`.

### Details

The PreFilter constructor allows to apply the following filters to class `ExprTreeSet`:

| `mad`: | character vector c(cutoff,epsilon).
| `cv`: | character vector c(cutoff,trim,epsilon).
| `variance`: | character vector c(cutoff,trim,epsilon).
| `difference`: | character vector c(cutoff,trim,epsilon).
| `ratio`: | character vector c(cutoff).
| `gap`: | character vector c(cutoff,window,trim,epsilon).
| `lothreshold`: | character vector c(cutoff,parameter,condition).
| `hithreshold`: | character vector c(cutoff,parameter,condition).
| `quantile`: | character vector c(cutoff,loquantile,hiquantile).
| `prescall`: | character vector c(cutoff,samples,condition).

### Value

An object of type `"PreFilter"`

### Note

Function `PreFilter` is used as constructor for class `PreFilter` so that the user need not know details for creating S4 classes.

### Author(s)

Christian Stratowa

### See Also

`Filter`, `UniFilter`

### Examples

    ## fill character vectors within constructor
    prefltr <- PreFilter(mad=c(0.5,0.01), prescall=c(0.002, 6,"samples"),
                         lothreshold=c(6.0,0.02,"mean"), hithreshold=c(10.5,80.0,"percent"))
    str(prefltr)

    ## alternatively add character vectors as methods after creation of constructor
    prefltr <- PreFilter()
    madFilter(prefltr) <- c(0.5,0.01)
    gapFilter(prefltr) <- c(0.3,0.05,0.0,0.01)
    lowFilter(prefltr) <- c(4.0,3,"samples")
    highFilter(prefltr) <- c(14.5,75.0,"percent")
    str(prefltr)

[Package xps version 1.2.10 Index]